Data Hub
Watchers

Report a watcher event

Requires scope `watchers:report`.

POST
/watchers/{watcherId}/events

Requires scope watchers:report.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

watcherId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/watchers/497f6eca-6276-4993-bfeb-53cbbbba6f08/events" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "event_type": "watcher_started",        "timestamp": "string",        "message": "string"      }    ]  }'
{  "received": 0}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}